Summary:	Rescan SCSI bus in Linux
Summary(pl.UTF-8):	Ponowne skanowanie szyny SCSI pod Linuksem
Name:		rescan-scsi-bus
Version:	1.56
Release:	3
License:	GPL v2 or GPL v3
Group:		Applications/System
# http://www.garloff.de/kurt/linux/rescan-scsi-bus.sh (with changed CVS tag)
Source0:	%{name}.sh
Patch0:		sg_inq-0.70.patch
URL:		http://www.garloff.de/kurt/linux/#rescan-scsi
Requires:	sg3_utils >= 0.70
Obsoletes:	scsiutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux allows you to add and remove SCSI devices without rebooting by
using the

echo "scsi add-single-device H C I L" > /proc/scsi/scsi

command (H = host, C = channel, I = SCSI ID, L = SCSI LUN). The
remove-single-device command works similarily.

Note, however, that the SCSI bus was NOT designed for hot-plugging, so
you might be out of luck... And you have to be sure, that termination
is OK. All filesystems on a device have to be unmounted before
disconnecting it or powering it down.

%description -l pl.UTF-8
Linux pozwala dodawać i usuwać urządzenia SCSI bez rebootowania
systemu za pomocą polecenia

echo "scsi add-single-device H C I L" > /proc/scsi/scsi

(H = host, C = kanał, I = SCSI ID, L = SCSI LUN). Polecenie
remove-single-device działa podobnie.

Jednak należy zauważyć, że szyna SCSI nie została zaprojektowana do
podłączania urządzeń w locie, więc można mieć pecha... Dodatkowo
trzeba być pewnym, że terminacja jest prawidłowa. Wszystkie systemy
plików na urządzeniu muszą być odmontowane przed jego odłączeniem lub
wyłączeniem.

%prep
%setup -qcT
install -p %{SOURCE0} .
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
install -p %{name}.sh $RPM_BUILD_ROOT%{_sbindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/rescan-scsi-bus
%changelog
* Thu Mar 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rescan-scsi-bus.git;a=log;h=master

* Thu Mar 07 2013 Elan Ruusamäe <glen@delfi.ee> be1295b
fix patch depth

* Wed Mar 06 2013 Elan Ruusamäe <glen@delfi.ee> 8ad7cf0
use sq_inq 0.70 syntax, the autodetection is broken with 1.x series

* Wed Mar 06 2013 Elan Ruusamäe <glen@delfi.ee> 1641419
restore cvs tag

* Thu Apr 05 2012 Jakub Bogusz <qboosh@pld-linux.org> e9cf809
- updated License tag

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> 1f4e493
- updated to 1.56

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> 3662f68
- up to v1.56 (2012-01-15)

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> 5debed1
- up to v1.48 (2010-08-10)

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> 18bd122
- up to v1.41 (2010-06-01)

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> ceee4bd
- up to v1.38 (2010-05-31)

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> d251c40
- up to v1.35 (2009-11-19)

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> 6d7cede
- up to v1.29 (2008-10-29)

* Thu Apr 05 2012 Elan Ruusamäe <glen@pld-linux.org> cbca640
- release 1

* Thu Jul 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 40c4c2f
- O: scsiutils

* Thu Jul 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 137ad13
- better Group (Applications/System)
- R: sg3_utils (sg_* commands are used)

* Wed Feb 13 2008 Elan Ruusamäe <glen@pld-linux.org> ecb240a
- fix shell syntax

* Wed Feb 13 2008 Elan Ruusamäe <glen@pld-linux.org> 4746084
- functions don't return strings in shell

* Wed Feb 13 2008 Elan Ruusamäe <glen@pld-linux.org> b9096e0
- up to 1.25

* Tue Nov 13 2007 Elan Ruusamäe <glen@pld-linux.org> bef20b2
- update to 1.25: Merge work from Hannes Reinecke to add REPORT_LUNS scan support, and optional LIP reset support

* Tue Nov 13 2007 Elan Ruusamäe <glen@pld-linux.org> f562eaf
- 1.24

* Thu Nov 08 2007 Elan Ruusamäe <glen@pld-linux.org> 36cf0b2
- rel 2

